Bug 1277211 - [abrt] WARNING: CPU: 3 PID: 1189 at kernel/softirq.c:150 __local_bh_enable_ip+0x6c/0x90() [IP:rtl_pci_reset_trx_ring] [rtl_pci] [NEEDINFO]
[abrt] WARNING: CPU: 3 PID: 1189 at kernel/softirq.c:150 __local_bh_enable_ip...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c63c3a65feeda0279ac73d1d30...
:
: 1316748 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 12:00 EST by Pant
Modified: 2017-04-28 13:26 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:26:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (81.98 KB, text/plain)
2015-11-02 12:00 EST, Pant
no flags Details
Test patch (752 bytes, patch)
2015-12-23 15:07 EST, Larry Finger
no flags Details | Diff

  None (edit)
Description Pant 2015-11-02 12:00:26 EST
Description of problem:
1. Conected to wifi router
2. Wifi disconected and was unable to reconect.

Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 3 PID: 1189 at kernel/softirq.c:150 __local_bh_enable_ip+0x6c/0x90()
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_nat ebtable_filter ebtables ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_filter ip6_tables iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security bnep rtsx_usb_ms memstick arc4 rtl8723be btcoexist snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi uvcvideo intel_rapl videobuf2_vmalloc videobuf2_core videobuf2_memops iosf_mbi v4l2_common rtl8723_common x86_pkg_temp_thermal videodev coretemp media ppdev rtl_pci kvm_intel
 iTCO_wdt kvm iTCO_vendor_support btusb rtlwifi btrtl snd_hda_intel mac80211 btbcm btintel snd_hda_codec crct10dif_pclmul bluetooth snd_hda_core crc32_pclmul crc32c_intel ghash_clmulni_intel cfg80211 snd_hwdep joydev snd_seq ideapad_laptop snd_seq_device snd_pcm sparse_keymap snd_timer snd rfkill soundcore parport_pc wmi snd_soc_sst_acpi parport shpchp mei_me lpc_ich mei i2c_i801 acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc rtsx_usb_sdmmc mmc_core rtsx_usb amdkfd amd_iommu_v2 i915 radeon i2c_algo_bit drm_kms_helper ttm drm serio_raw r8169 mii video
CPU: 3 PID: 1189 Comm: wpa_supplicant Not tainted 4.2.0-300.fc23.x86_64 #1
Hardware name: LENOVO 80E5/Lenovo G50-80, BIOS B0CN69WW 06/20/2014
 0000000000000000 0000000043d11adb ffff8800940db638 ffffffff817712aa
 0000000000000000 0000000000000000 ffff8800940db678 ffffffff8109e466
 ffff8800940db668 0000000000000200 ffffffff81cef800 ffffffffa08c163d
Call Trace:
 [<ffffffff817712aa>] dump_stack+0x45/0x57
 [<ffffffff8109e466>] warn_slowpath_common+0x86/0xc0
 [<ffffffffa08c163d>] ? rtl_pci_reset_trx_ring+0x25d/0x340 [rtl_pci]
 [<ffffffff8109e59a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff810a234c>] __local_bh_enable_ip+0x6c/0x90
 [<ffffffffa0921a8b>] destroy_conntrack+0x8b/0x120 [nf_conntrack]
 [<ffffffff81696c57>] nf_conntrack_destroy+0x17/0x20
 [<ffffffff8164b3e7>] skb_release_head_state+0x87/0xc0
 [<ffffffff8164c016>] skb_release_all+0x16/0x30
 [<ffffffff8164c0bf>] kfree_skb+0x5f/0x80
 [<ffffffffa08c163d>] rtl_pci_reset_trx_ring+0x25d/0x340 [rtl_pci]
 [<ffffffffa057d98a>] rtl_ps_enable_nic+0x6a/0x70 [rtlwifi]
 [<ffffffffa09079d3>] rtl8723be_phy_set_rf_power_state+0x353/0x3a0 [rtl8723be]
 [<ffffffff817735d1>] ? __schedule+0x371/0x950
 [<ffffffffa057dafc>] rtl_ps_set_rf_state+0x10c/0x160 [rtlwifi]
 [<ffffffffa057db8d>] _rtl_ps_inactive_ps+0x3d/0xc0 [rtlwifi]
 [<ffffffffa057dc88>] rtl_ips_nic_on+0x78/0xb0 [rtlwifi]
 [<ffffffffa057aa34>] rtl_op_config+0x1b4/0x400 [rtlwifi]
 [<ffffffffa06a0cc0>] ieee80211_hw_config+0x230/0x340 [mac80211]
 [<ffffffffa06b5146>] ieee80211_recalc_idle+0x26/0x30 [mac80211]
 [<ffffffffa06aa02a>] __ieee80211_start_scan+0x20a/0x610 [mac80211]
 [<ffffffff8101de03>] ? time_cpufreq_notifier+0xe3/0xf0
 [<ffffffffa06aafc0>] ieee80211_request_scan+0x30/0x50 [mac80211]
 [<ffffffffa06bae05>] ieee80211_scan+0x65/0xa0 [mac80211]
 [<ffffffffa05b9c5d>] nl80211_trigger_scan+0x46d/0x720 [cfg80211]
 [<ffffffff81695161>] genl_family_rcv_msg+0x1b1/0x3c0
 [<ffffffff810df132>] ? __wake_up_common+0x52/0x90
 [<ffffffff81695370>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffff816953e6>] genl_rcv_msg+0x76/0xb0
 [<ffffffff816948e8>] netlink_rcv_skb+0xa8/0xd0
 [<ffffffff81694f9c>] genl_rcv+0x2c/0x40
 [<ffffffff816940c7>] netlink_unicast+0x127/0x1a0
 [<ffffffff816945e6>] netlink_sendmsg+0x4a6/0x5f0
 [<ffffffff81643d98>] sock_sendmsg+0x38/0x50
 [<ffffffff8164472b>] ___sys_sendmsg+0x28b/0x2a0
 [<ffffffff8164387b>] ? sock_recvmsg+0x3b/0x50
 [<ffffffff81643ac6>] ? SYSC_recvfrom+0xd6/0x150
 [<ffffffff8101d939>] ? read_tsc+0x9/0x10
 [<ffffffff8110dbe5>] ? ktime_get_ts64+0x45/0xf0
 [<ffffffff816451e7>] __sys_sendmsg+0x57/0xa0
 [<ffffffff81645242>] SyS_sendmsg+0x12/0x20
 [<ffffffff81777cae>] entry_SYSCALL_64_fastpath+0x12/0x71

Potential duplicate: bug 1122121
Comment 1 Pant 2015-11-02 12:00:39 EST
Created attachment 1088645 [details]
File: dmesg
Comment 2 František Dvořák 2015-12-22 06:26:23 EST
I've got exact the same issue with 4.2.7-300.fc23 (oops when trying to reconnect).

But it is not as easily reproducible by switching off/on as in bug #1173877 . Can you confirm?
Comment 3 Larry Finger 2015-12-23 15:07 EST
Created attachment 1109014 [details]
Test patch

This bug appears to be triggered when the interface is shutting down while conntrack is active. Note: I have not seen this bug, and I am guessing on how to fix it. The patch disables the lock in rtl_pci_reset_trx_ring() - it should be safe, but testing is needed.

Please test and report back.
Comment 4 Pant 2015-12-24 17:26:09 EST
The bug is reproducible by switching off/on on me. The bug report tool comes up when I switch off/on.
I also tried running:

echo "options rtl8723be fwlps=N ips=N" | sudo tee /etc/modprobe.d/rtl8723be.conf

But nothing changed.
I do not know how to install this patch. I know it is irrelevant but could you show me how to patch it?
Comment 5 Larry Finger 2015-12-25 12:14:14 EST
The patch is for the kernel source. To use it, you would need to build your own kernel from source.

As an alternative, you could do the following:

git clone http://github.com/lwfinger/rtlwifi_new.git
cd rtlwifi_new
git checkout test
make
sudo make install
sudo modprobe -rv rtl8723be
sudo modprobe -v rtl8723be


The above sequence assumes that you have previously installed the git and kernel-header packages.
Comment 6 Pant 2015-12-28 19:29:46 EST
[Larry Finger] I did exactly what you said. The kernel I am using is 4.2.8-300.fc23.x86_64. Things got a lot better but there are issues need to be solved.

First of all "make" command had an error about an unused variable (I think it was about a variable named "flags" or something. When I hit make again it is not reproducible).

An other problem is that abrtd has about 1000 different bugs about something but they are not able to be reported.
Comment 7 Larry Finger 2015-12-28 19:37:17 EST
That was a warning, not an error. It should not prevent building. In and case, I fixed it and pushed the new version.
Comment 8 Pant 2015-12-29 12:27:41 EST
I still have a problem. After a while i get disconnected and unable to reconnect.

Dmesg: http://pastebin.com/KksqVDvg
Comment 9 john barry 2016-03-10 20:49:20 EST
*** Bug 1316748 has been marked as a duplicate of this bug. ***
Comment 10 kir 2016-06-20 13:49:17 EDT
Description of problem:
I don't remember.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.3-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 917 at kernel/softirq.c:150 __local_bh_enable_ip+0x6c/0x90()
Modules linked in: vfat fat bnep bluetooth fuse xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables arc4 snd_hda_codec_hdmi intel_rapl iosf_mbi x86_pkg_temp_thermal uvcvideo coretemp rtl8723be btcoexist snd_hda_codec_via kvm_intel videobuf2_vmalloc videobuf2_core rtl8723_common rtl_pci snd_hda_codec_generic iTCO_wdt videobuf2_memops iTCO_vendor_support v4l2_common videodev media rtlwifi kvm snd_hda_intel snd_hda_codec mac80211 crct10dif_pclmul snd_hda_core crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hwdep cfg80211 snd_seq snd_seq_device snd_pcm rfkill rtsx_pci_ms memstick mmc_block snd_timer lpc_ich joydev i2c_i801
 tpm_infineon tpm_tis mei_me snd mei soundcore wmi shpchp tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper serio_raw drm r8169 mii rtsx_pci video
CPU: 0 PID: 917 Comm: wpa_supplicant Not tainted 4.2.3-300.fc23.x86_64 #1
Hardware name: DNS W5x0EU1                         /W5x0EU1                         , BIOS 4.6.5 11/27/2013
 0000000000000000 0000000070b460bb ffff880063c17638 ffffffff81771fca
 0000000000000000 0000000000000000 ffff880063c17678 ffffffff8109e4a6
 ffff880063c17668 0000000000000200 ffffffff81cef900 ffffffffa060b63d
Call Trace:
 [<ffffffff81771fca>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffffa060b63d>] ? rtl_pci_reset_trx_ring+0x25d/0x340 [rtl_pci]
 [<ffffffff8109e5da>] warn_slowpath_null+0x1a/0x20
 [<ffffffff810a238c>] __local_bh_enable_ip+0x6c/0x90
 [<ffffffffa0720a8b>] destroy_conntrack+0x8b/0x120 [nf_conntrack]
 [<ffffffff816973d7>] nf_conntrack_destroy+0x17/0x20
 [<ffffffff8164ba67>] skb_release_head_state+0x87/0xc0
 [<ffffffff8164c696>] skb_release_all+0x16/0x30
 [<ffffffff8164c73f>] kfree_skb+0x5f/0x80
 [<ffffffffa060b63d>] rtl_pci_reset_trx_ring+0x25d/0x340 [rtl_pci]
 [<ffffffffa050698a>] rtl_ps_enable_nic+0x6a/0x70 [rtlwifi]
 [<ffffffffa06709d3>] rtl8723be_phy_set_rf_power_state+0x353/0x3a0 [rtl8723be]
 [<ffffffff811083dd>] ? __remove_hrtimer+0x3d/0x90
 [<ffffffffa0506afc>] rtl_ps_set_rf_state+0x10c/0x160 [rtlwifi]
 [<ffffffffa0506b8d>] _rtl_ps_inactive_ps+0x3d/0xc0 [rtlwifi]
 [<ffffffffa0506c88>] rtl_ips_nic_on+0x78/0xb0 [rtlwifi]
 [<ffffffffa0503a34>] rtl_op_config+0x1b4/0x400 [rtlwifi]
 [<ffffffffa044acc0>] ieee80211_hw_config+0x230/0x340 [mac80211]
 [<ffffffffa045f146>] ieee80211_recalc_idle+0x26/0x30 [mac80211]
 [<ffffffffa045402a>] __ieee80211_start_scan+0x20a/0x610 [mac80211]
 [<ffffffffa0454fc0>] ieee80211_request_scan+0x30/0x50 [mac80211]
 [<ffffffffa0464e05>] ieee80211_scan+0x65/0xa0 [mac80211]
 [<ffffffffa03c4c5d>] nl80211_trigger_scan+0x46d/0x720 [cfg80211]
 [<ffffffff816958e1>] genl_family_rcv_msg+0x1b1/0x3c0
 [<ffffffff810df182>] ? __wake_up_common+0x52/0x90
 [<ffffffff81695af0>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffff81695b66>] genl_rcv_msg+0x76/0xb0
 [<ffffffff81695068>] netlink_rcv_skb+0xa8/0xd0
 [<ffffffff8169571c>] genl_rcv+0x2c/0x40
 [<ffffffff81694847>] netlink_unicast+0x127/0x1a0
 [<ffffffff81694d65>] netlink_sendmsg+0x4a5/0x5f0
 [<ffffffff81644418>] sock_sendmsg+0x38/0x50
 [<ffffffff81644dab>] ___sys_sendmsg+0x28b/0x2a0
 [<ffffffff810acda4>] ? signal_setup_done+0x74/0xc0
 [<ffffffff8102099b>] ? __fpu__restore_sig+0xbb/0x400
 [<ffffffff810144a3>] ? do_signal+0x1b3/0x6b0
 [<ffffffff81645867>] __sys_sendmsg+0x57/0xa0
 [<ffffffff816458c2>] SyS_sendmsg+0x12/0x20
 [<ffffffff817789ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 11 Laura Abbott 2016-09-23 15:56:43 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 12 Pant 2016-10-12 14:37:18 EDT
Problem persists on kernel 4.7.6-200.fc24.x86_64
Dmesg: http://pastebin.com/MdGaGM69

Details:
Connected to the Access Point and connection was there for about 5-10 mins. When i started a torrent download with Trasmission, after a few seconds, wifi got disconnected and unable to reconnect. I also tried to disable IPV6 on settings.
Comment 13 Justin M. Forbes 2017-04-11 11:02:05 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 14 Justin M. Forbes 2017-04-28 13:26:53 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.